Tomcat configuration to avoid TLS violation of Cryptographic Standard STD-IT-0005 - 8.0

Talend Data Catalog Installation and Upgrade Guide for Linux

Version
8.0
Language
English (United States)
EnrichDitaval
linux
Product
Talend Big Data Platform
Talend Data Fabric
Talend Data Management Platform
Talend Data Services Platform
Talend MDM Platform
Talend Real-Time Big Data Platform
Module
Talend Data Catalog
Content
Installation and Upgrade

Talend Data Catalog uses Java 11 that supports Transport Layer Security (TLS) 1.3 and it is compiled for Java 8 that supports TLS 1.2. To ensure that Tomcat does not "drop down to using" a lower version (1.1. and 1.0), you can configure Tomcat appropriately. For more information, see https://tomcat.apache.org/tomcat-9.0-doc/config/http.html#SSL_Support.